Page MenuHomePhabricator

Activation DynamicPageList Extension on Wikivoyage/de
Open, Stalled, LowestPublic

Description

We would kindly ask you to activate the Extension https://www.mediawiki.org/wiki/Extension:DynamicPageList_(Wikimedia) on the German Wikivoyage wiki.

Community support 8I know our community is not that big and not many people take care of the technical issues.: https://de.wikivoyage.org/wiki/Wikivoyage:Lounge#Vorschlag_f.C3.BCr_eine_Erweiterung:_DynamicPageList

Details

Related Gerrit Patches:
operations/mediawiki-config : masterActivate DynamicPageList on dewikivoyage

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2017, 11:02 AM

Setting project to Wikimedia-Site-requests, as this request is about settings / configuration of a Wikimedia website.
For more information about how to request these kinds of changes, please see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes

@DerFussi: Heja! :) As you assigned this task to yourself, do you plan to fix this task? If not, feel free to reset (Add Action...Assign / Claim in the dropdown).

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJul 21 2017, 11:33 AM

Change 366838 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Activate DynamicPageList on dewikivoyage

https://gerrit.wikimedia.org/r/366838

Anyway, I've uploaded a patch for it ;).

@Aklapper : No i don't want to put my hand on it. Thanks for fixing it.

As I can't be here at the next deployment window I've asked the others in Z398 to schedule it. Watch the task if anything happens!

I don't think we can deploy this to more wikis taking into count what it is happening at T31596 and T124841. Pinging @Bawolff for advice.

MarcoAurelio changed the task status from Open to Stalled.EditedJul 21 2017, 4:41 PM
MarcoAurelio triaged this task as Lowest priority.

cfr. T171293#3460852 & Z398#10983

Change 366838 abandoned by Urbanecm:
Activate DynamicPageList on dewikivoyage

Reason:
see phab task

https://gerrit.wikimedia.org/r/366838

cfr. T171293#3460852 & Z398#10983

Thank you for the links, I've abandoned the patch.

Bawolff added a comment.EditedJul 21 2017, 9:45 PM

I don't think we can deploy this to more wikis taking into count what it is happening at T31596 and T124841. Pinging @Bawolff for advice.

As long as we are talking about DynamicPageList_(Wikimedia) its a performance issue not security, so its @greg 's call. It might be ok on small wikis. Im not really sure where we are drawing the line.

Bawolff added a subscriber: greg.Jul 21 2017, 9:49 PM
MarcoAurelio added a comment.EditedJul 22 2017, 8:02 AM

Thanks @Bawolff. We'll wait for @greg here then. It'd be good indeed to draw a line because there are some requests stalled to activate this and it'd be good to move forward on them. Could any of you raise this in the ops mailing list? I don't have access to it. Thanks!

(edit: in case that it is decided that this extension should not be installed on more wikis until the performance issues are solved we could list that at m:Limits to configuration changes for general knowledge, or in case it is decided that small wikis [definition of small] only, we can add it there as well)

greg added a comment.Jul 26 2017, 7:07 PM

Sorry for the delay.

It looks like the performance review is done, but not the actual follow-ups to correct what the review found, correct? See: https://phabricator.wikimedia.org/T124841#1968724

Before we allow this to go out on any more wikis we should have those issues addressed (@Bawolff outlined two options: a non-total-rewrite and a rewrite).

Based on https://www.mediawiki.org/wiki/Developers/Maintainers this would be in the (large) backlog of the "Contributors -> Editing team". I'll add them to the relevant tasks.

Urbanecm removed Urbanecm as the assignee of this task.Aug 5 2017, 12:01 PM
Urbanecm added a subscriber: Urbanecm.

Any news about this case? We still need the extension on WV/de

T124841 (linked above under Related Objects) is open and needs to get fixed first by someone who volunteers to work on that code...